Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Class LocalDatastoreServiceTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalDatastoreServiceTestConfig

All Implemented Interfaces:
  LocalServiceTestConfig

    public final class LocalDatastoreServiceTestConfig

extends java.lang.Object
implements LocalServiceTestConfig

Config for accessing the local datastore service in tests. Default behavior is to configure the local datastore to only store data in-memory and not write anything to disk. `tearDown()` wipes out all in-memory state so that the datastore is empty at the end of every test.

Constructor Summary
`LocalDatastoreServiceTestConfig()`

Method Summary
`java.lang.String` | `getBackingStoreLocation()`
`static LocalDatastoreService` | `getLocalDatastoreService()`
`java.lang.Integer` | `getMaxQueryLifetimeMs()`
`java.lang.Integer` | `getMaxTxnLifetimeMs()`
`java.lang.Integer` | `getStoreDelayMs()`
`boolean` | `isNoStorage()`
`LocalDatastoreServiceTestConfig` | `setBackingStoreLocation(java.lang.String backingStoreLocation)` Where to read/store the datastore from/to.
`LocalDatastoreServiceTestConfig` | `setMaxQueryLifetimeMs(int maxQueryLifetimeMs)` Sets how long a query can stay "live" before we expire it.
`LocalDatastoreServiceTestConfig` | `setMaxTxnLifetimeMs(int maxTxnLifetimeMs)` Sets how long a txn can stay "live" before we expire it.
`LocalDatastoreServiceTestConfig` | `setNoStorage(boolean noStorage)` True to put the datastore into "memory-only" mode.
`LocalDatastoreServiceTestConfig` | `setStoreDelayMs(int storeDelayMs)` Sets how long to wait before updating the persistent store.
`void` | `setUp()` Set up the local service.
`void` | `tearDown()` Tear down the local service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalDatastoreServiceTestConfig

    public LocalDatastoreServiceTestConfig()

Method Detail

### isNoStorage

    public boolean isNoStorage()

### setNoStorage

    public LocalDatastoreServiceTestConfig setNoStorage(boolean noStorage)

  True to put the datastore into "memory-only" mode.

  Parameters:
    `noStorage` -
  Returns:
    `this` (for chaining)

### getMaxQueryLifetimeMs

    public java.lang.Integer getMaxQueryLifetimeMs()

### setMaxQueryLifetimeMs

    public LocalDatastoreServiceTestConfig setMaxQueryLifetimeMs(int maxQueryLifetimeMs)

  Sets how long a query can stay "live" before we expire it.

  Parameters:
    `maxQueryLifetimeMs` -
  Returns:
    `this` (for chaining)

### getMaxTxnLifetimeMs

    public java.lang.Integer getMaxTxnLifetimeMs()

### setMaxTxnLifetimeMs

    public LocalDatastoreServiceTestConfig setMaxTxnLifetimeMs(int maxTxnLifetimeMs)

  Sets how long a txn can stay "live" before we expire it.

  Parameters:
    `maxTxnLifetimeMs` -
  Returns:
    `this` (for chaining)

### getStoreDelayMs

    public java.lang.Integer getStoreDelayMs()

### setStoreDelayMs

    public LocalDatastoreServiceTestConfig setStoreDelayMs(int storeDelayMs)

  Sets how long to wait before updating the persistent store. Only useful if `isNoStorage()` returns `false`.

  Parameters:
    `storeDelayMs` -
  Returns:
    `this` (for chaining)

### getBackingStoreLocation

    public java.lang.String getBackingStoreLocation()

### setBackingStoreLocation

    public LocalDatastoreServiceTestConfig setBackingStoreLocation(java.lang.String backingStoreLocation)

  Where to read/store the datastore from/to.

  Parameters:
    `backingStoreLocation` -
  Returns:
    `this` (for chaining)

### setUp

    public void setUp()

  Description copied from interface: `LocalServiceTestConfig`
  Set up the local service.

  Specified by:
    `setUp` in interface `LocalServiceTestConfig`

### tearDown

    public void tearDown()

  Description copied from interface: `LocalServiceTestConfig`
  Tear down the local service.

  Specified by:
    `tearDown` in interface `LocalServiceTestConfig`

### getLocalDatastoreService

    public static LocalDatastoreService getLocalDatastoreService()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD